com.impinj.stp

## Class StpApi.GPOConfig

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - com.impinj.stp.StpApi.GPOConfig

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.GPOConfigOrBuilder, java.io.Serializable
  Enclosing class:
    StpApi

      public static final class StpApi.GPOConfig
      extends com.google.protobuf.GeneratedMessage
      implements StpApi.GPOConfigOrBuilder

  Protobuf type `Impinj.STP.GPOConfig` Define how output functions map to signal lines and defines output polarities.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StpApi.GPOConfig.Builder` Protobuf type `Impinj.STP.GPOConfig` Define how output functions map to signal lines and defines output polarities.

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ENABLE_OPERATION_RESULT_GPO_FIELD_NUMBER`
    `static int` | `GPO_PULSE_DURATION_FIELD_NUMBER`
    `static int` | `GPO1_POLARITY_FIELD_NUMBER`
    `static int` | `GPO2_POLARITY_FIELD_NUMBER`
    `static int` | `GPO3_POLARITY_FIELD_NUMBER`
    `static com.google.protobuf.Parser<StpApi.GPOConfig>` | `PARSER`
    `static int` | `SIGNALING_MODE_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StpApi.GPOConfig` | `getDefaultInstance()`
    `StpApi.GPOConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `boolean` | `getEnableOperationResultGpo()` If set to true, the GPO will change when the operation is complete.
    `StpApi.GPIOPolarity` | `getGPO1Polarity()` Operation Status - Start and Complete
    `StpApi.GPIOPolarity` | `getGPO2Polarity()` In separate output mode, GPO2 will indicate with this polarity that the operation passed.
    `StpApi.GPIOPolarity` | `getGPO3Polarity()` In separate output mode, a failure will set GPO3 low or high depending on this setting.
    `int` | `getGPOPulseDuration()` The output pulse duration in milliseconds.
    `com.google.protobuf.Parser<StpApi.GPOConfig>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `StpApi.GPIOSignalMode` | `getSignalingMode()` Operation pass/fail on the same GPO or separate GPOs.
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasEnableOperationResultGpo()` If set to true, the GPO will change when the operation is complete.
    `boolean` | `hasGPO1Polarity()` Operation Status - Start and Complete
    `boolean` | `hasGPO2Polarity()` In separate output mode, GPO2 will indicate with this polarity that the operation passed.
    `boolean` | `hasGPO3Polarity()` In separate output mode, a failure will set GPO3 low or high depending on this setting.
    `boolean` | `hasGPOPulseDuration()` The output pulse duration in milliseconds.
    `boolean` | `hasSignalingMode()` Operation pass/fail on the same GPO or separate GPOs.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static StpApi.GPOConfig.Builder` | `newBuilder()`
    `static StpApi.GPOConfig.Builder` | `newBuilder(StpApi.GPOConfig prototype)`
    `StpApi.GPOConfig.Builder` | `newBuilderForType()`
    `protected StpApi.GPOConfig.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static StpApi.GPOConfig` | `parseDelimitedFrom(java.io.InputStream input)`
    `static StpApi.GPOConfig` | `parseDelimitedFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.GPOConfig` | `parseFrom(byte[] data)`
    `static StpApi.GPOConfig` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.GPOConfig` | `parseFrom(com.google.protobuf.ByteString data)`
    `static StpApi.GPOConfig` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.GPOConfig` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static StpApi.GPOConfig` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.GPOConfig` | `parseFrom(java.io.InputStream input)`
    `static StpApi.GPOConfig` | `parseFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.GPOConfig.Builder` | `toBuilder()`
    `protected java.lang.Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<StpApi.GPOConfig> PARSER

    - #### SIGNALING_MODE_FIELD_NUMBER

          public static final int SIGNALING_MODE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GPO1_POLARITY_FIELD_NUMBER

          public static final int GPO1_POLARITY_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GPO2_POLARITY_FIELD_NUMBER

          public static final int GPO2_POLARITY_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GPO3_POLARITY_FIELD_NUMBER

          public static final int GPO3_POLARITY_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GPO_PULSE_DURATION_FIELD_NUMBER

          public static final int GPO_PULSE_DURATION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ENABLE_OPERATION_RESULT_GPO_FIELD_NUMBER

          public static final int ENABLE_OPERATION_RESULT_GPO_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static StpApi.GPOConfig getDefaultInstance()

    - #### getDefaultInstanceForType

          public StpApi.GPOConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<StpApi.GPOConfig> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasSignalingMode

          public boolean hasSignalingMode()

      Operation pass/fail on the same GPO or separate GPOs.
      Specified by:
        `hasSignalingMode` in interface `StpApi.GPOConfigOrBuilder`

    - #### getSignalingMode

          public StpApi.GPIOSignalMode getSignalingMode()

      Operation pass/fail on the same GPO or separate GPOs.
      Specified by:
        `getSignalingMode` in interface `StpApi.GPOConfigOrBuilder`

    - #### hasGPO1Polarity

          public boolean hasGPO1Polarity()

      Operation Status - Start and Complete
      Specified by:
        `hasGPO1Polarity` in interface `StpApi.GPOConfigOrBuilder`

    - #### getGPO1Polarity

          public StpApi.GPIOPolarity getGPO1Polarity()

      Operation Status - Start and Complete
      Specified by:
        `getGPO1Polarity` in interface `StpApi.GPOConfigOrBuilder`

    - #### hasGPO2Polarity

          public boolean hasGPO2Polarity()

      In separate output mode, GPO2 will indicate with this polarity that the operation passed. In combined mode when the operation clock transitions, this setting indicates pass and the opposite polarity failure.
      Specified by:
        `hasGPO2Polarity` in interface `StpApi.GPOConfigOrBuilder`

    - #### getGPO2Polarity

          public StpApi.GPIOPolarity getGPO2Polarity()

      In separate output mode, GPO2 will indicate with this polarity that the operation passed. In combined mode when the operation clock transitions, this setting indicates pass and the opposite polarity failure.
      Specified by:
        `getGPO2Polarity` in interface `StpApi.GPOConfigOrBuilder`

    - #### hasGPO3Polarity

          public boolean hasGPO3Polarity()

      In separate output mode, a failure will set GPO3 low or high depending on this setting.
      Specified by:
        `hasGPO3Polarity` in interface `StpApi.GPOConfigOrBuilder`

    - #### getGPO3Polarity

          public StpApi.GPIOPolarity getGPO3Polarity()

      In separate output mode, a failure will set GPO3 low or high depending on this setting.
      Specified by:
        `getGPO3Polarity` in interface `StpApi.GPOConfigOrBuilder`

    - #### hasGPOPulseDuration

          public boolean hasGPOPulseDuration()

      The output pulse duration in milliseconds. A value of zero means toggle as fast as possible.
      Specified by:
        `hasGPOPulseDuration` in interface `StpApi.GPOConfigOrBuilder`

    - #### getGPOPulseDuration

          public int getGPOPulseDuration()

      The output pulse duration in milliseconds. A value of zero means toggle as fast as possible.
      Specified by:
        `getGPOPulseDuration` in interface `StpApi.GPOConfigOrBuilder`

    - #### hasEnableOperationResultGpo

          public boolean hasEnableOperationResultGpo()

      If set to true, the GPO will change when the operation is complete. If false the client may set pass/fail with the set_operation_result_gpo command.
      Specified by:
        `hasEnableOperationResultGpo` in interface `StpApi.GPOConfigOrBuilder`

    - #### getEnableOperationResultGpo

          public boolean getEnableOperationResultGpo()

      If set to true, the GPO will change when the operation is complete. If false the client may set pass/fail with the set_operation_result_gpo command.
      Specified by:
        `getEnableOperationResultGpo` in interface `StpApi.GPOConfigOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws java.io.IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `java.io.IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected java.lang.Object writeReplace()
                                           throws java.io.ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `java.io.ObjectStreamException`

    - #### parseFrom

          public static StpApi.GPOConfig parseFrom(com.google.protobuf.ByteString data)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.GPOConfig parseFrom(com.google.protobuf.ByteString data,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.GPOConfig parseFrom(byte[] data)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.GPOConfig parseFrom(byte[] data,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.GPOConfig parseFrom(java.io.InputStream input)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.GPOConfig parseFrom(java.io.InputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.GPOConfig parseDelimitedFrom(java.io.InputStream input)
                                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.GPOConfig parseDelimitedFrom(java.io.InputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.GPOConfig parseFrom(com.google.protobuf.CodedInputStream input)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.GPOConfig parseFrom(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newBuilder

          public static StpApi.GPOConfig.Builder newBuilder()

    - #### newBuilderForType

          public StpApi.GPOConfig.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static StpApi.GPOConfig.Builder newBuilder(StpApi.GPOConfig prototype)

    - #### toBuilder

          public StpApi.GPOConfig.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected StpApi.GPOConfig.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`